#add-marker-view-btn {
    position: absolute;
    bottom: 20px;
    left: 20px;
    padding: 10px 15px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000; /* Ensure the button is above the map */
}

#add-marker-view-btn:hover {
    background-color: #0056b3;
}

#refresh-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 10px 15px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    font-size: 16px;
    z-index: 1000; /* Ensure the button is above the map */
}

#refresh-btn:hover {
    background-color: #0056b3;
}

#calculate-btn {
    padding: 10px;
    border: none;
    background-color: #007bff;
    color: #fff;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 10px;
    display: block;
    width: 100%;
}

#calculate-btn:hover {
    background-color: #0056b3;
}

#settings-btn {
    position: absolute;
    top: 5px;
    right: 20px;
    width: 40px;
    height: 40px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000; /* Ensure the button is above the map */
}

#settings-btn svg {
    fill: #fff;
}

@media screen and (max-width: 999px) {
    #add-marker-view-btn {
        bottom: 10px;
        left: 10px;
        padding: 8px 12px;
    }

    #refresh-btn {
        top: 10px;
        right: 60px;
        padding: 8px 12px;
        font-size: 14px;
    }

    #settings-btn {
        top: 10px;
        right: 10px; /* Adjust to make space for refresh button */
        width: 35px;
        height: 35px;
    }

    #calculate-btn {
        width: 80%;
        margin-top: 5px;
        margin-bottom: 10px;
        position:absolute;
        top: 85%; /* Adjust based on where you want the button to overlap */
        left: 57.5%; /* Adjust based on where you want the button to overlap */
        transform: translate(-50%, -50%); /* Centers the button */
        z-index: 10; /* Ensures the button is on top of the form */
    }

    #add-marker-view-btn {
        width: 35px;
        height: 35px;
        top: 95.75%; /* Adjust based on where you want the button to overlap */
        left: 10%; /* Adjust based on where you want the button to overlap */
        transform: translate(-50%, -50%);
    }
}